mia-3dsegment-ahmed
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dsegment-ahmed

#### Sysnopis:

`mia-3dsegment-ahmed` {-i `io`} {-c `io`} [ `options` ...]

#### Description:

This program implements a variation of the paper:

Mohamed N. Ahmed et. al, "A Modified Fuzzy C-Means Algorithm for Bias Field estimation and Segmentation of MRI Data", IEEE Trans. on Medical Imaging, Vol. 21, No. 3, March 2002,

changes are: p=2, and exp

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  image to be segmented. For supported file types see Plugin type: 3dimage/io

-c, --class-file=(output, required); io

  class probability images, the image type must support multiple images and floating point values. For supported file types see Plugin type: 3dimage/io

-b, --out-file=(output); io

  Bias corrected image will be of the same type like the input image. If this parameter is not given, then the bias correction will not be applied.. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-n, --no-of-classes=3; int

  number of classes

-C, --class-centres=

  initial class centers, this parameter overrides 'no-of-clases'.

-s, --spread=64; float

  spread parameter describing the strength of mattar distinction

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a 5-class segmentation over input image input.v and store the class probability images in cls.v.

    mia-3dsegment-ahmed -i input.v -a 5 -o cls.v

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dpropose-boundingbox | Home | mia-3dsegment-local-cmeans